## ltrsift 1.0.1

=== Makefile ===
#
# Copyright (c) 2012 Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>
# Copyright (c) 2012 Sascha Kastens <mail@skastens.de>
# Copyright (c) 2012 Center for Bioinformatics, University of Hamburg
#

CC = gcc
CFLAGS += -g -Wall -Wunused-parameter
GT_FLAGS = -I$(gt_prefix)/include/genometools -I$(GTDIR)/src
GT_FLAGS_STATIC := $(GT_FLAGS) `pkg-config --cflags --libs pango pangocairo`
GT_FLAGS += -lgenometools -L$(gt_prefix)/lib
GTK_FLAGS = `pkg-config --cflags --libs gtk+-2.0 gthread-2.0`
SOURCES := $(wildcard src/*.c)
OBJECTS := $(filter-out obj/src/ltrsift.o obj/src/ltrsift_encode.o, $(SOURCES:%.c=obj/%.o))

# system specific stuff (concerning 64bit compilation)
MACHINE:=$(shell uname -m)
ifeq ($(64bit),yes)
  ifneq ($(MACHINE),x86_64)
    m64=yes
  endif
  BIT:=64bit
else
  ifeq ($(MACHINE),x86_64)
    m32=yes
  endif
  BIT:=32bit
endif

ifneq ($(opt),no)
  CFLAGS += -O3
endif

ifeq ($(static),yes)
  STATICBIN := bin/ltrsift_static bin/ltrsift_encode_static
endif

ifeq ($(m32),yes)
  CFLAGS += -m32
endif

ifeq ($(m64),yes)
  CFLAGS += -m64
endif

ifneq ($(errorcheck),no)
  CFLAGS += -Werror
endif

# set prefix for location of genometools
gt_prefix ?= /usr/local

# set prefix for installation
prefix ?= /usr/local

.PREFIXES = .c .o

.PHONY: all clean cleanup dirs install

all: dirs bin/ltrsift bin/ltrsift_encode $(STATICBIN)
	@(test -f bin/ltrsift_encode_static && \
	   cp bin/ltrsift_encode_static sample_data) \
	 || (test -f bin/ltrsift_encode && \
	   cp bin/ltrsift_encode sample_data)
dirs: bin obj obj/src

obj/%.o: %.c
	@echo "[compile $@]"
	@$(CC) -c $(CFLAGS) $(GTK_FLAGS) $(GT_FLAGS) $< -o $(@)

bin/ltrsift: $(OBJECTS) obj/src/ltrsift.o
	@echo "[linking $@]"
	@$(CC) $(OBJECTS) obj/src/ltrsift.o -o $@ $(CFLAGS) $(GTK_FLAGS) $(GT_FLAGS)

bin/ltrsift_encode: obj/src/ltrsift_encode.o
	@echo "[linking $@]"
	@$(CC) obj/src/ltrsift_encode.o -o $@ $(CFLAGS) $(GT_FLAGS)

bin/ltrsift_static: obj/src/ltrsift.o $(OBJECTS) $(gt_prefix)/lib/libgenometools.a
	@echo "[linking $@]"
	@$(CC) $(OBJECTS) obj/src/ltrsift.o $(gt_prefix)/lib/libgenometools.a \
	  -o $@ $(CFLAGS)  $(GT_FLAGS_STATIC) $(GTK_FLAGS) -lbz2

bin/ltrsift_encode_static: obj/src/ltrsift_encode.o $(gt_prefix)/lib/libgenometools.a
	@echo "[linking $@]"
	@$(CC) obj/src/ltrsift_encode.o $(gt_prefix)/lib/libgenometools.a \
	   -o $@ $(CFLAGS) \$(GT_FLAGS_STATIC) -lbz2 -lz -lcairo -lm

bin obj obj/src:
	@echo '[create $(@)]'
	@test -d $(@) || mkdir -p $(@)

clean:
	rm -rf obj

cleanup: clean
	rm -rf bin sample_data/ltrsift_encode

.PHONY: dist srcdist install

SYSTEM:=$(shell uname -s)
MACHINE:=$(shell uname -m)
VERSION:="`cat $(CURDIR)/VERSION`"
SYSTEMNAME:="$(SYSTEM)_$(MACHINE)"
GTDISTBASENAME:="ltrsift-$(VERSION)-$(SYSTEMNAME)-${BIT}"
DISTDIR:="$(CURDIR)/dist/$(SYSTEMNAME)"
SCRIPTSDIR:="$(CURDIR)/scripts"
GTDISTDIR:="$(DISTDIR)/$(GTDISTBASENAME)"

dist: all
	@echo "[build distribution]"
	@rm -rf $(GTDISTDIR)
	@rm -rf $(DISTDIR)/$(GTDISTBASENAME).tar.gz
	@mkdir -p $(GTDISTDIR)/bin
	@cp $(CURDIR)/LICENSE $(GTDISTDIR)
	@cp $(CURDIR)/CHANGELOG $(GTDISTDIR)
	@cp $(CURDIR)/VERSION $(GTDISTDIR)
	@cp $(CURDIR)/bin/ltrsift $(GTDISTDIR)/bin
	@strip $(GTDISTDIR)/bin/ltrsift
	@(test -f bin/ltrsift_static && cp bin/ltrsift_static $(GTDISTDIR)/bin && strip $(GTDISTDIR)/bin/ltrsift_static) || true
	@$(MAKE) prefix=$(GTDISTDIR) install
	@cd $(DISTDIR) && $(SCRIPTSDIR)/tar_root.sh $(GTDISTBASENAME)
	@cd $(DISTDIR) && gzip -f -9 $(GTDISTBASENAME).tar
	@echo "$(DISTDIR)/$(GTDISTBASENAME).tar.gz"

srcdist:
	git archive --format=tar --prefix=ltrsift-`cat VERSION`/ HEAD | \
        gzip -9 > ltrsift-`cat VERSION`-src.tar.gz

install: all
	test -d $(prefix)/bin || mkdir -p $(prefix)/bin
	cp bin/* $(prefix)/bin
	test -d $(prefix)/filters  || mkdir -p $(prefix)/filters
	cp -r filters/* $(prefix)/filters
	test -d $(prefix)/sample_data  || mkdir -p $(prefix)/sample_data
	cp -r sample_data/* $(prefix)/sample_data
	test -d $(prefix)/style  || mkdir -p $(prefix)/style
	cp -r style/* $(prefix)/style

=== debian/changelog ===
ltrsift (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #689961)

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Sun, 06 Oct 2012 15:08:11 +0200

=== debian/control ===
Source: ltrsift
Section: science
Priority:  optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>
Build-Depends: debhelper (>= 9), libgenometools0-dev (>= 1.4.2), libgtk2.0-dev,
 libglib2.0-dev
Standards-Version: 3.9.4
DM-Upload-Allowed: yes
Homepage: http://www.zbh.uni-hamburg.de/LTRsift
Vcs-Browser: http://svn.debian.org/viewvc/debian-med/trunk/packages/ltrsift/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/ltrsift/trunk/

Package: ltrsift
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgenometools0 (>= 1.4.2),
 libgtk2.0-0, libglib2.0-0
Recommends: last-align, ncbi-blast+
Description: postprocessing and classification of LTR retrotransposons
 LTRsift is a graphical desktop tool for semi-automatic postprocessing of de
 novo predicted LTR retrotransposon annotations, such as the ones generated by
 LTRharvest and LTRdigest. Its user-friendly interface displays LTR
 retrotransposon candidates, their putative families and their internal
 structure in a hierarchical fashion, allowing the user to "sift" through the
 sometimes large results of de novo prediction software. It also offers
 customizable filtering and classification functionality.

Package: ltrsift-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ltrsift (= ${binary:Version})
Section: debug
Priority: extra
Description: postprocessing and classification of LTR retrotransposons, with debug symbols
 This package contains debug information stripped from LTRsift.
 You may decide to install it to help identifying issues, typically
 to help communication with upstream developers.

Package: ltrsift-examples
Architecture: all
Depends: ${misc:Depends}
Suggests: ltrsift
Description: example data for LTRsift
 This package contains test sequences (gzipped FASTA) and annotations (GFF3)
 from the Drosophila melanogaster (fruit fly) genome, to be used in an example
 process of  postprocessing and classification of newly detected LTR
 retrotransposons. Scripts for using LTRsift to encode the sequences into a
 format accepted by LTRsift are included as well.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp
export gt_prefix=/usr

BITS:=$(shell dpkg-architecture | grep DEB_BUILD_ARCH_BITS | cut -f 2 -d'=')
ifeq ($(BITS),64)
  64BIT:=yes
else
  64BIT:=no
endif

%:
	dh $@ --parallel

override_dh_auto_clean:
	$(MAKE) cleanup

override_dh_auto_build:
	dh_auto_build --parallel -- 64bit=$(64BIT) opt=no errorcheck=no

override_dh_auto_test:
	#dh_auto_test -- useshared=yes 64bit=$(64BIT) testthreads=5

override_dh_auto_install:
	dh_auto_install -- 64bit=$(64BIT) opt=no errorcheck=no prefix=$(DESTDIR)/usr

override_dh_strip:
	dh_strip --dbg-package=ltrsift-dbg

override_dh_installdocs:
	dh_installdocs --exclude=license.template

=== debian/watch ===
version=3
http://githubredir.debian.net/github/satta/ltrsift /github/satta/ltrsift/v(\d[\d\.]+).tar.gz

## ltrsift 1.0.2

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
-#
-# Copyright (c) 2012 Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>
-# Copyright (c) 2012 Sascha Kastens <mail@skastens.de>
-# Copyright (c) 2012 Center for Bioinformatics, University of Hamburg
-#
+# Copyright (c) 2012-2013 Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>
+# Copyright (c) 2012      Sascha Kastens <mail@skastens.de>
+# Copyright (c) 2012-2013 Center for Bioinformatics, University of Hamburg
 
-CC = gcc
+ifndef CC
+  CC:=gcc
+endif
 CFLAGS += -g -Wall -Wunused-parameter
-GT_FLAGS = -I$(gt_prefix)/include/genometools -I$(GTDIR)/src
+GT_FLAGS := -I$(gt_prefix)/include/genometools \
+            -I$(gt_prefix)/include/genometools -I$(GTDIR)/src
 GT_FLAGS_STATIC := $(GT_FLAGS) `pkg-config --cflags --libs pango pangocairo`
-GT_FLAGS += -lgenometools -L$(gt_prefix)/lib
+GT_FLAGS += -lgenometools -L$(gt_prefix)/lib $(LDFLAGS)
 GTK_FLAGS = `pkg-config --cflags --libs gtk+-2.0 gthread-2.0`
 SOURCES := $(wildcard src/*.c)
 OBJECTS := $(filter-out obj/src/ltrsift.o obj/src/ltrsift_encode.o, $(SOURCES:%.c=obj/%.o))
@@ -66,25 +67,26 @@
 
 obj/%.o: %.c
 	@echo "[compile $@]"
-	@$(CC) -c $(CFLAGS) $(GTK_FLAGS) $(GT_FLAGS) $< -o $(@)
+	@$(CC) -c $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(GTK_FLAGS) $(GT_FLAGS) $< -o $(@)
 
 bin/ltrsift: $(OBJECTS) obj/src/ltrsift.o
 	@echo "[linking $@]"
-	@$(CC) $(OBJECTS) obj/src/ltrsift.o -o $@ $(CFLAGS) $(GTK_FLAGS) $(GT_FLAGS)
+	@$(CC) $(OBJECTS) obj/src/ltrsift.o -o $@ $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(GTK_FLAGS) $(GT_FLAGS)
 
 bin/ltrsift_encode: obj/src/ltrsift_encode.o
 	@echo "[linking $@]"
-	@$(CC) obj/src/ltrsift_encode.o -o $@ $(CFLAGS) $(GT_FLAGS)
+	@$(CC) obj/src/ltrsift_encode.o -o $@ $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(GT_FLAGS)
 
 bin/ltrsift_static: obj/src/ltrsift.o $(OBJECTS) $(gt_prefix)/lib/libgenometools.a
 	@echo "[linking $@]"
 	@$(CC) $(OBJECTS) obj/src/ltrsift.o $(gt_prefix)/lib/libgenometools.a \
-	  -o $@ $(CFLAGS)  $(GT_FLAGS_STATIC) $(GTK_FLAGS) -lbz2
+	  -o $@ $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(GT_FLAGS_STATIC) $(GTK_FLAGS) -lbz2
 
 bin/ltrsift_encode_static: obj/src/ltrsift_encode.o $(gt_prefix)/lib/libgenometools.a
 	@echo "[linking $@]"
 	@$(CC) obj/src/ltrsift_encode.o $(gt_prefix)/lib/libgenometools.a \
-	   -o $@ $(CFLAGS) \$(GT_FLAGS_STATIC) -lbz2 -lz -lcairo -lm
+	   -o $@ $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) \
+	   $(GT_FLAGS_STATIC) -lbz2 -lz -lcairo -lm
 
 bin obj obj/src:
 	@echo '[create $(@)]'
@@ -94,7 +96,7 @@
 	rm -rf obj
 
 cleanup: clean
-	rm -rf bin sample_data/ltrsift_encode
+	rm -rf bin sample_data/ltrsift_encode sample_data/ltrsift_encode_static
 
 .PHONY: dist srcdist install
 
@@ -115,6 +117,8 @@
 	@cp $(CURDIR)/LICENSE $(GTDISTDIR)
 	@cp $(CURDIR)/CHANGELOG $(GTDISTDIR)
 	@cp $(CURDIR)/VERSION $(GTDISTDIR)
+	@cp $(CURDIR)/README $(GTDISTDIR)
+	@cp $(CURDIR)/run_ltrsift $(GTDISTDIR)
 	@cp $(CURDIR)/bin/ltrsift $(GTDISTDIR)/bin
 	@strip $(GTDISTDIR)/bin/ltrsift
 	@(test -f bin/ltrsift_static && cp bin/ltrsift_static $(GTDISTDIR)/bin && strip $(GTDISTDIR)/bin/ltrsift_static) || true

=== debian/changelog ===
ltrsift (1.0.2-8) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Drop explicit debug package
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jul 2018 20:58:11 +0200

ltrsift (1.0.2-7) unstable; urgency=medium

  * Remove -m32/-m64 for building for i386 reproducibility.
  * Enable compiler output.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 22 Apr 2016 09:08:50 +0000

ltrsift (1.0.2-6) unstable; urgency=medium

  * Update d/upstream/metadata.
  * Enable full hardening.
  * Bump Standards-Version.
  * Use secure Vcs-*.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 21 Apr 2016 15:15:34 +0000

ltrsift (1.0.2-5) unstable; urgency=low

  * use deterministic file order for build
  * fix Metadata-Screenshots
  * fix build on x32

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 12 Dec 2015 09:38:35 +0000

ltrsift (1.0.2-4) unstable; urgency=low

  * remove menu file
  * remove timestamp from example .gz

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 17 Oct 2015 15:24:49 +0000

ltrsift (1.0.2-3) unstable; urgency=low

  * include patches

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 18 Nov 2014 20:12:45 +0000

ltrsift (1.0.2-2) unstable; urgency=low

  * fix FTBFS on 64bit archs
  * lintian cleanups

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 18 Nov 2014 19:36:18 +0000

ltrsift (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Mon, 11 Mar 2013 13:39:05 +0100

ltrsift (1.0.1-2) unstable; urgency=low

  * enable optimization and hardening

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Sat, 09 Mar 2013 11:23:10 +0100

=== debian/control ===
Source: ltrsift
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               libgenometools0-dev,
               libgtk2.0-dev,
               libglib2.0-dev
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/med-team/ltrsift
Vcs-Git: https://salsa.debian.org/med-team/ltrsift.git
Homepage: http://www.zbh.uni-hamburg.de/LTRsift

Package: ltrsift
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgenometools0,
         libgtk2.0-0,
         libglib2.0-0
Recommends: last-align,
            ncbi-blast+
Description: postprocessing and classification of LTR retrotransposons
 LTRsift is a graphical desktop tool for semi-automatic postprocessing of de
 novo predicted LTR retrotransposon annotations, such as the ones generated by
 LTRharvest and LTRdigest. Its user-friendly interface displays LTR
 retrotransposon candidates, their putative families and their internal
 structure in a hierarchical fashion, allowing the user to "sift" through the
 sometimes large results of de novo prediction software. It also offers
 customizable filtering and classification functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp
export gt_prefix=/usr
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DARCH:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH= | cut -f 2 -d'=')
BITS:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH_BITS= | cut -f 2 -d'=')

ifeq ($(DARCH),x32)
  X32:=yes
else
  X32:=no
endif

ifeq ($(BITS),64)
  64BIT:=yes
else
  64BIT:=no
endif

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) cleanup

override_dh_auto_build:
	dh_auto_build -- x32=$(X32) 64bit=$(64BIT) errorcheck=no

override_dh_auto_test:
	#dh_auto_test -- useshared=yes x32=$(X32) 64bit=$(64BIT) testthreads=5

override_dh_auto_install:
	gunzip sample_data/dmel-2L-chromosome-r5.8.fasta.gz
	gzip -n -9 sample_data/dmel-2L-chromosome-r5.8.fasta
	dh_auto_install -- 64bit=$(64BIT) errorcheck=no prefix=$(DESTDIR)/usr

override_dh_installdocs:
	dh_installdocs --exclude=license.template

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/satta/ltrsift/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 13:05:45 +0000
